import request from '@/utils/request'



// three分类方案  //
//获取年度范围列表
export const getYearList = (params) => {
  return request({
    url: '/point-strategy/v/archiveCtg/getYearList',
    method: 'post',
    params
  })
}
//获取分类模板
export const getArchiveCtgTree = (data) => {
  return request({
    url: '/point-strategy/v/archiveCtg/getArchiveCtgTree',
    method: 'post',
    data
  })
}
//添加年度范围
export const addYearScope = (params) => {
  return request({
    url: '/point-strategy/v/archiveCtg/addYearScope',
    method: 'post',
    params
  })
}
//添加年度范围
export const updateYearScope = (params) => {
  return request({
    url: '/point-strategy/v/archiveCtg/updateYearScope',
    method: 'post',
    params
  })
}
//删除年度范围
export const deleteYearScope = (params) => {
  return request({
    url: '/point-strategy/v/archiveCtg/deleteYearScope',
    method: 'post',
    params
  })
}
//新增门类实体分类号
export const saveArchiveCtg = (data) => {
  return request({
    url: '/point-strategy/v/archiveCtg/saveArchiveCtg',
    method: 'post',
    data
  })
}
//修改门类实体
export const updateArchiveCtg = (data) => {
  return request({
    url: '/point-strategy/v/archiveCtg/updateArchiveCtg',
    method: 'post',
    data
  })
}
//删除分类模板
export const delArchiveCtg = (params) => {
  return request({
    url: '/point-strategy/v/archiveCtg/delete',
    method: 'post',
    params
  })
}
//档号设置查询
export const getTableList = (data) => {
  return request({
    url: '/point-strategy/v/archiveScope/getList',
    method: 'post',
    data
  })
}
//删除归档范围
export const deleteArchiveScope = (params) => {
  return request({
    url: '/point-strategy/v/archiveScope/deleteArchiveScope',
    method: 'post',
    params
  })
}
//添加归档范围
export const saveArchiveScope = (data) => {
  return request({
    url: '/point-strategy/v/archiveScope/saveArchiveScope',
    method: 'post',
    data
  })
}
//修改归档范围
export const updateArchiveScope = (data) => {
  return request({
    url: '/point-strategy/v/archiveScope/updateArchiveScope',
    method: 'post',
    data
  })
}
